.vtk-viewer{
    position: relative;
    padding-top: 60%;
    background-color: $black-color;
    border-radius: 5px;
    overflow: hidden;
    user-select: none;

    .vtk-viewer-content{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: $black-color;

        .vtk-viewer-frame{
            height: 100%;
            max-height: 100%;
        }

        .loading{
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            background-color: rgba($black-color, 0.5);
            color: white;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;

            .loading-label{
                color: rgba(#fff, 0.3);
            }
        }
    }

    .actions{
        position: absolute;
        bottom: 0;
        right: 0;
        padding: 0.5em;

        button{
            color: rgba(white, 0.5);
            background-color: rgba(black, 0.5);
            border: 0;
            outline: 0;
            border-radius: 2px;
            padding: 0.3em 0.6em;
            transition: .2s;

            &:hover{
                color: white;
                background-color: $main-color;
            }

            &:active{
                color: rgba(white, 0.5);
                background-color: rgba($main-color, 0.5);
            }
        }
    }
}